# CREDIT: https://github.com/shren207/nextjs-docker-compose
# CREATED: 09-09-2023
services:
  ttng1234_share:
    container_name: ttng1234_share
    build: .
    restart: always
    volumes:
      - $PWD/app:/app
      - ttng1234_node_modules:/app/node_modules
    working_dir: /app
    # command: sleep infinity
    command: bash entry.sh

    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.ttng1234-http.rule=Host(`ttng1234.louislabs.com`)"
      - "traefik.http.routers.ttng1234-http.entrypoints=web"
      - "traefik.http.routers.ttng1234-http.middlewares=ttng1234-https"
      - "traefik.http.middlewares.ttng1234-https.redirectscheme.scheme=https"
      - "traefik.http.routers.ttng1234.rule=Host(`ttng1234.louislabs.com`)"
      - "traefik.http.routers.ttng1234.entrypoints=websecure"
      - "traefik.http.routers.ttng1234.tls.certresolver=myresolver"
      - "traefik.http.services.ttng1234.loadbalancer.server.port=8080"

networks:
  default:
    external:
      name: traefik-proxy-network

volumes:
  ttng1234_node_modules:
